summaryrefslogtreecommitdiff
path: root/libre
diff options
context:
space:
mode:
authorJorginho <jorginho@adinet.com.uy>2012-06-27 21:02:48 +0200
committerJorginho <jorginho@adinet.com.uy>2012-06-27 21:02:48 +0200
commit2ecb70b29a4d14ebc72f8ec5f9026d350277b6de (patch)
tree4c852f1891b30edebb9c619d3df8a0a99e52f04f /libre
parent64514c447bad5bbafd83d577d8d3ac0e0ce18493 (diff)
downloadabslibre-2ecb70b29a4d14ebc72f8ec5f9026d350277b6de.tar.gz
abslibre-2ecb70b29a4d14ebc72f8ec5f9026d350277b6de.tar.bz2
abslibre-2ecb70b29a4d14ebc72f8ec5f9026d350277b6de.zip
update hplip-libre
Diffstat (limited to 'libre')
-rw-r--r--libre/hplip-libre/PKGBUILD90
-rw-r--r--libre/hplip-libre/hplip.install18
2 files changed, 108 insertions, 0 deletions
diff --git a/libre/hplip-libre/PKGBUILD b/libre/hplip-libre/PKGBUILD
new file mode 100644
index 000000000..d8ce703b2
--- /dev/null
+++ b/libre/hplip-libre/PKGBUILD
@@ -0,0 +1,90 @@
+# $Id: PKGBUILD 144357 2011-12-05 03:44:51Z eric $
+# Maintainer: Tom Gundersen <teg@jklm.no>
+# Maintainer : Rémy Oudompheng <remy@archlinux.org>
+# Contributor: Morgan LEFIEUX <comete@archlinuxfr.org>
+# Maintainer (Parabola): Jorge López <jorginho@adinet.com.uy>
+
+_pkgname=hplip
+pkgname=hplip-libre
+pkgver=3.12.6
+pkgrel=2
+pkgdesc="Drivers for HP DeskJet, OfficeJet, Photosmart, Business Inkjet and some LaserJet (without hplip-plugin binary blobs recommendation)"
+arch=('i686' 'x86_64')
+url="http://hplipopensource.com"
+license=('GPL')
+depends=('python2' 'ghostscript>=8.64-6' 'foomatic-db' 'foomatic-db-engine'
+ 'net-snmp>=5.7.1')
+makedepends=('python2-pyqt' 'python2-gobject2' 'sane' 'rpcbind' 'cups' 'libusbx')
+optdepends=('cups: for printing support'
+ 'dbus-python: for dbus support'
+ 'sane: for scanner support'
+ 'python-imaging: for commandline scanning support'
+ 'python-notify: for Desktop notification support'
+ 'rpcbind: for network support'
+ 'python2-pyqt: for running hp-toolbox'
+ 'python2-gobject2: for running hp-toolbox'
+ 'libusbx: for advanced usb support')
+replaces=("${_pkgname}")
+conflicts=("${_pkgname}")
+provides=("${_pkgname}=${pkgver}")
+options=('!libtool')
+install=hplip.install
+source=(http://downloads.sourceforge.net/${_pkgname}/$_pkgname-$pkgver.tar.gz{,.asc})
+md5sums=('5303938e8630775ea6fb383af85775e5'
+ 'b562457e4c713d8609b3d6dd2be10baf')
+
+build() {
+ cd "$srcdir/$_pkgname-$pkgver"
+ export PYTHON=python2
+
+ find . -type f -exec sed -i 's~^#.*env python~#!/usr/bin/env python2~' {} +
+ sed -i '1s|#!/usr/bin/python|#!/usr/bin/python2|' setup.py makeuri.py base/magic.py
+ sed -i '1s|#!/usr/bin/python|#!/usr/bin/python2|' ui/upgradeform.py uninstall.py upgrade.py config_usb_printer.py
+ sed -i 's|python ./print.py|python2 ./print.py|' scan.py
+ sed -i 's|python ./testpage.py|python2 ./testpage.py|' setup.py
+ sed -i 's|python ./setup.py|python2 ./setup.py|' ui4/devmgr5.py ui4/nodevicesdialog.py
+ sed -i 's|python %HOME%|python2 %HOME%|' base/utils.py
+ sed -i 's|python ./plugin.py|python2 ./plugin.py|' base/pkit.py
+
+
+ # https://bugs.archlinux.org/task/30085 - hack found in Gentoo
+ # Use system foomatic-rip for hpijs driver instead of foomatic-rip-hplip
+ # The hpcups driver does not use foomatic-rip
+ local i
+ for i in ppd/hpijs/*.ppd.gz ; do
+ rm -f ${i}.temp
+ gunzip -c ${i} | sed 's/foomatic-rip-hplip/foomatic-rip/g' | \
+ gzip > ${i}.temp || return 1
+ mv ${i}.temp ${i}
+ done
+
+ export AUTOMAKE='automake --foreign'
+ autoreconf --force --install
+
+ ./configure --prefix=/usr \
+ --enable-qt4 \
+ --disable-foomatic-rip-hplip-install \
+ --enable-foomatic-ppd-install \
+ --enable-hpcups-install \
+ --enable-new-hpcups \
+ --enable-cups-ppd-install \
+ --enable-cups-drv-install \
+ --enable-hpijs-install \
+ --enable-foomatic-drv-install \
+ --enable-pp-build \
+ --enable-udev-acl-rules #--help
+
+ make
+}
+
+package() {
+ cd "$srcdir/$_pkgname-$pkgver"
+ make rulesdir=/lib/udev/rules.d DESTDIR="$pkgdir/" install
+ # remove config provided by sane and autostart of hp-daemon
+ rm -rf "$pkgdir"/etc/{sane.d,xdg}
+ # remove HAL .fdi file because HAL is no longer used
+ rm -rf "$pkgdir"/usr/share/hal
+ # move to /usr
+ mv "$pkgdir"/lib/udev "$pkgdir"/usr/lib/
+ rm "$pkgdir"/lib -r
+}
diff --git a/libre/hplip-libre/hplip.install b/libre/hplip-libre/hplip.install
new file mode 100644
index 000000000..74532cde3
--- /dev/null
+++ b/libre/hplip-libre/hplip.install
@@ -0,0 +1,18 @@
+post_install() {
+ cat << EOF
+
+NOTE
+----
+# If you want to use this driver with sane:
+# echo "hpaio" >> /etc/sane.d/dll.conf
+
+EOF
+}
+
+post_upgrade() {
+ if [ "`vercmp $2 3.12.4-2`" -lt 0 ]; then
+ # important upgrade notice
+ echo "> Please remove your printer in cups, then add it"
+ echo "> back and reconfigure it to make it work again!"
+ fi
+}